package com.realnet.vpspack.Services;
import com.realnet.vpspack.Repository.UserRepository;
import com.realnet.vpspack.Entity.User
;import java.util.*;

import org.springframework.beans.factory.annotation.Autowired;
import com.realnet.SequenceGenerator.Service.SequenceService;
import org.springframework.data.domain.Page;
import com.realnet.realm.Entity.Realm;
import com.realnet.realm.Services.RealmService;
import org.springframework.data.domain.Pageable;
import org.springframework.http.*;
import com.realnet.users.service1.AppUserServiceImpl;
import com.realnet.users.entity1.AppUser;


















	import org.springframework.stereotype.Service;

@Service
 public class UserService {
@Autowired
private UserRepository Repository;
	@Autowired
	private AppUserServiceImpl userService; 
@Autowired
	private RealmService realmService;

















public User Savedata(User data) {


















	data.setUpdatedBy(getUser().getUserId());
		data.setCreatedBy(getUser().getUserId());
		data.setAccountId(getUser().getAccount().getAccount_id());
User save = Repository.save(data);
				return save;	
			}


//	get all with pagination
	public Page<User> getAllWithPagination(Pageable page) {
		return Repository.findAll(page, getUser().getUserId());
	}			
public List<User> getdetails() {  
		List<Realm> realm = realmService.findByUserId(getUser().getUserId());
List<User> all = Repository.findAll(getUser().getUserId());
		
		return all ;		}


public User getdetailsbyId(Integer id) {
	return Repository.findById(id).get();
			}


	public void delete_by_id(Integer id) {
 Repository.deleteById(id);
}


public User update(User data,Integer id) {
	User old = Repository.findById(id).get();
old.setUsername(data.getUsername());

old.setFullname(data.getFullname());

old.setCompany(data.getCompany());

old.setEmail_id(data.getEmail_id());

old.setEnable (data.isEnable());

old.setGroupss(data.getGroupss());

old.setLocked(data.getLocked());

old.setCreated_at(data.getCreated_at());

old.setImpersonnate_user(data.getImpersonnate_user());

final User test = Repository.save(old);
		data.setUpdatedBy(getUser().getUserId());
  return test;} 


















 public AppUser getUser() {
		AppUser user = userService.getLoggedInUser();
		return user;

	}}
